Resume Response
POST
/v1/responses/{response_id}/resume
const url = 'https://example.com/v1/responses/example/resume';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"input":"example","metadata":{},"resume_token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/responses/example/resume \ --header 'Content-Type: application/json' \ --data '{ "input": "example", "metadata": {}, "resume_token": "example" }'Resume the pending checkpoint attached to an existing paused Responses run.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”response_id
required
Response Id
string
Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ResponsesResumeResponse
Response returned after accepting a same-run resume request.
object
checkpoint_id
required
Checkpoint Id
string format: uuid
id
required
Id
string
metadata
Metadata
object
key
additional properties
any
object
Object
string
run_id
required
Run Id
string format: uuid
status
required
Status
string
Example
{ "object": "response.resume", "status": "in_progress"}Paused response or pending checkpoint not found.
Response is not paused for resume.
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}